Products
Products Variant Create
Create a variant product in an existing product.
Authorization
oauth2 catalogue:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: catalogue:write
Path Parameters
id*integer
A unique integer value identifying this Product.
Header Parameters
X-29next-API-Version*"unstable"
Default
"unstable"Value in
- "unstable"
Response Body
application/json
curl -X POST "https://example.com/products/0/variants/" \ -H "X-29next-API-Version: unstable" \ -H "Content-Type: application/json" \ -d '{ "variant_attribute_values": [ { "name": "string", "value": "string" } ] }'{ "allow_backorders": true, "date_created": "2019-08-24T14:15:22Z", "date_updated": "2019-08-24T14:15:22Z", "id": 0, "images": "string", "inventory_availability": "in_stock", "metadata": null, "prices": [ { "currency": "string", "price": "string", "retail": "string", "subscription": "string", "subscription_suggested_downsell": "string" } ], "product_id": 0, "purchase_availability": "available", "requires_shipping": true, "sku": "string", "stockrecords": [ { "id": 0, "location_id": 0, "low_stock_threshold": 0, "num_allocated": 0, "num_in_stock": -2147483648 } ], "title": "string", "track_stock": true, "unit_cost": "string", "upc": "string", "variant_attribute_values": [ { "code": "string", "name": "string", "value": "string" } ]}